import * as i0 from '@angular/core';
import { Injectable, InjectionToken, NgModule, Optional, SkipSelf } from '@angular/core';
import { filter, map } from 'rxjs/operators';
import * as i2 from '@angular/common/http';
import { HttpParams, HttpHeaders, HttpRequest, HttpResponse } from '@angular/common/http';

/* tslint:disable */
/* eslint-disable */
/**
 * Global configuration
 */
class ApiConfiguration {
    constructor() {
        this.rootUrl = 'http://localhost:8080';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: ApiConfiguration, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: ApiConfiguration, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: ApiConfiguration, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

const RENDERING_SERVICE_API_CONFIG = new InjectionToken('RENDERING_SERVICE_API_CONFIG');
class RenderingServiceApiConfiguration extends ApiConfiguration {
    static create(params = {}) {
        return { ...new RenderingServiceApiConfiguration(), ...params };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: RenderingServiceApiConfiguration, deps: null, target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: RenderingServiceApiConfiguration, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: RenderingServiceApiConfiguration, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });
function getConfigProvider(params) {
    return [
        // Provide the params given to `forRoot()`. These can be overridden by the application by
        // providing `EDU_SHARING_API_CONFIG` itself.
        {
            provide: RENDERING_SERVICE_API_CONFIG,
            useValue: params,
        },
        {
            provide: ApiConfiguration,
            deps: [RENDERING_SERVICE_API_CONFIG],
            useFactory: (configParams) => RenderingServiceApiConfiguration.create(configParams),
        },
        {
            provide: RenderingServiceApiConfiguration,
            deps: [RENDERING_SERVICE_API_CONFIG],
            useFactory: (configParams) => RenderingServiceApiConfiguration.create(configParams),
        },
    ];
}

/* tslint:disable */
/* eslint-disable */
/**
 * Base class for services
 */
class BaseService {
    constructor(config, http) {
        this.config = config;
        this.http = http;
    }
    /**
     * Returns the root url for all operations in this service. If not set directly in this
     * service, will fallback to `ApiConfiguration.rootUrl`.
     */
    get rootUrl() {
        return this._rootUrl || this.config.rootUrl;
    }
    /**
     * Sets the root URL for API operations in this service.
     */
    set rootUrl(rootUrl) {
        this._rootUrl = rootUrl;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: BaseService, deps: [{ token: ApiConfiguration }, { token: i2.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: BaseService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: BaseService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: ApiConfiguration }, { type: i2.HttpClient }] });

/* tslint:disable */
/* eslint-disable */
/**
 * Custom parameter codec to correctly handle the plus sign in parameter
 * values. See https://github.com/angular/angular/issues/18261
 */
class ParameterCodec {
    encodeKey(key) {
        return encodeURIComponent(key);
    }
    encodeValue(value) {
        return encodeURIComponent(value);
    }
    decodeKey(key) {
        return decodeURIComponent(key);
    }
    decodeValue(value) {
        return decodeURIComponent(value);
    }
}
const ParameterCodecInstance = new ParameterCodec();
/**
 * Base class for a parameter
 */
class Parameter {
    constructor(name, value, options, defaultStyle, defaultExplode) {
        this.name = name;
        this.value = value;
        this.options = options;
        this.options = options || {};
        if (this.options.style === null || this.options.style === undefined) {
            this.options.style = defaultStyle;
        }
        if (this.options.explode === null || this.options.explode === undefined) {
            this.options.explode = defaultExplode;
        }
    }
    serializeValue(value, separator = ',') {
        if (value === null || value === undefined) {
            return '';
        }
        else if (value instanceof Array) {
            return value
                .map((v) => this.serializeValue(v)
                .split(separator)
                .join(encodeURIComponent(separator)))
                .join(separator);
        }
        else if (typeof value === 'object') {
            const array = [];
            for (const key of Object.keys(value)) {
                let propVal = value[key];
                if (propVal !== null && propVal !== undefined) {
                    propVal = this.serializeValue(propVal)
                        .split(separator)
                        .join(encodeURIComponent(separator));
                    if (this.options.explode) {
                        array.push(`${key}=${propVal}`);
                    }
                    else {
                        array.push(key);
                        array.push(propVal);
                    }
                }
            }
            return array.join(separator);
        }
        else {
            return String(value);
        }
    }
}
/**
 * A parameter in the operation path
 */
class PathParameter extends Parameter {
    constructor(name, value, options) {
        super(name, value, options, 'simple', false);
    }
    append(path) {
        let value = this.value;
        if (value === null || value === undefined) {
            value = '';
        }
        let prefix = this.options.style === 'label' ? '.' : '';
        let separator = this.options.explode ? (prefix === '' ? ',' : prefix) : ',';
        let alreadySerialized = false;
        if (this.options.style === 'matrix') {
            // The parameter name is just used as prefix, except in some cases...
            prefix = `;${this.name}=`;
            if (this.options.explode && typeof value === 'object') {
                prefix = ';';
                if (value instanceof Array) {
                    // For arrays we have to repeat the name for each element
                    value = value.map((v) => `${this.name}=${this.serializeValue(v, ';')}`);
                    value = value.join(';');
                    alreadySerialized = true;
                }
                else {
                    // For objects we have to put each the key / value pairs
                    value = this.serializeValue(value, ';');
                    alreadySerialized = true;
                }
            }
        }
        value =
            prefix +
                (alreadySerialized ? value : this.serializeValue(value, separator));
        // Replace both the plain variable and the corresponding variant taking in the prefix and explode into account
        path = path.replace(`{${this.name}}`, value);
        path = path.replace(`{${prefix}${this.name}${this.options.explode ? '*' : ''}}`, value);
        return path;
    }
    // @ts-ignore
    serializeValue(value, separator = ',') {
        var result = typeof value === 'string'
            ? encodeURIComponent(value)
            : super.serializeValue(value, separator);
        result = result.replace(/%3D/g, '=');
        result = result.replace(/%3B/g, ';');
        result = result.replace(/%2C/g, ',');
        return result;
    }
}
/**
 * A parameter in the query
 */
class QueryParameter extends Parameter {
    constructor(name, value, options) {
        super(name, value, options, 'form', true);
    }
    append(params) {
        if (this.value instanceof Array) {
            // Array serialization
            if (this.options.explode) {
                for (const v of this.value) {
                    params = params.append(this.name, this.serializeValue(v));
                }
            }
            else {
                const separator = this.options.style === 'spaceDelimited'
                    ? ' '
                    : this.options.style === 'pipeDelimited'
                        ? '|'
                        : ',';
                return params.append(this.name, this.serializeValue(this.value, separator));
            }
        }
        else if (this.value !== null && typeof this.value === 'object') {
            // Object serialization
            if (this.options.style === 'deepObject') {
                // Append a parameter for each key, in the form `name[key]`
                for (const key of Object.keys(this.value)) {
                    const propVal = this.value[key];
                    if (propVal !== null && propVal !== undefined) {
                        params = params.append(`${this.name}[${key}]`, this.serializeValue(propVal));
                    }
                }
            }
            else if (this.options.explode) {
                // Append a parameter for each key without using the parameter name
                for (const key of Object.keys(this.value)) {
                    const propVal = this.value[key];
                    if (propVal !== null && propVal !== undefined) {
                        params = params.append(key, this.serializeValue(propVal));
                    }
                }
            }
            else {
                // Append a single parameter whose values are a comma-separated list of key,value,key,value...
                const array = [];
                for (const key of Object.keys(this.value)) {
                    const propVal = this.value[key];
                    if (propVal !== null && propVal !== undefined) {
                        array.push(key);
                        array.push(propVal);
                    }
                }
                params = params.append(this.name, this.serializeValue(array));
            }
        }
        else if (this.value !== null && this.value !== undefined) {
            // Plain value
            params = params.append(this.name, this.serializeValue(this.value));
        }
        return params;
    }
}
/**
 * A parameter in the HTTP request header
 */
class HeaderParameter extends Parameter {
    constructor(name, value, options) {
        super(name, value, options, 'simple', false);
    }
    append(headers) {
        if (this.value !== null && this.value !== undefined) {
            if (this.value instanceof Array) {
                for (const v of this.value) {
                    headers = headers.append(this.name, this.serializeValue(v));
                }
            }
            else {
                headers = headers.append(this.name, this.serializeValue(this.value));
            }
        }
        return headers;
    }
}
/**
 * Helper to build http requests from parameters
 */
class RequestBuilder {
    constructor(rootUrl, operationPath, method) {
        this.rootUrl = rootUrl;
        this.operationPath = operationPath;
        this.method = method;
        this._path = new Map();
        this._query = new Map();
        this._header = new Map();
    }
    /**
     * Sets a path parameter
     */
    path(name, value, options) {
        this._path.set(name, new PathParameter(name, value, options || {}));
    }
    /**
     * Sets a query parameter
     */
    query(name, value, options) {
        this._query.set(name, new QueryParameter(name, value, options || {}));
    }
    /**
     * Sets a header parameter
     */
    header(name, value, options) {
        this._header.set(name, new HeaderParameter(name, value, options || {}));
    }
    /**
     * Sets the body content, along with the content type
     */
    body(value, contentType = 'application/json') {
        if (value instanceof Blob) {
            this._bodyContentType = value.type;
        }
        else {
            this._bodyContentType = contentType;
        }
        if (this._bodyContentType === 'application/x-www-form-urlencoded' &&
            value !== null &&
            typeof value === 'object') {
            // Handle URL-encoded data
            const pairs = [];
            for (const key of Object.keys(value)) {
                let val = value[key];
                if (!(val instanceof Array)) {
                    val = [val];
                }
                for (const v of val) {
                    const formValue = this.formDataValue(v);
                    if (formValue !== null) {
                        pairs.push([key, formValue]);
                    }
                }
            }
            this._bodyContent = pairs
                .map((p) => `${encodeURIComponent(p[0])}=${encodeURIComponent(p[1])}`)
                .join('&');
        }
        else if (this._bodyContentType === 'multipart/form-data') {
            // Handle multipart form data
            const formData = new FormData();
            if (value !== null && value !== undefined) {
                for (const key of Object.keys(value)) {
                    const val = value[key];
                    if (val instanceof Array) {
                        for (const v of val) {
                            const toAppend = this.formDataValue(v);
                            if (toAppend !== null) {
                                formData.append(key, toAppend);
                            }
                        }
                    }
                    else {
                        const toAppend = this.formDataValue(val);
                        if (toAppend !== null) {
                            formData.set(key, toAppend);
                        }
                    }
                }
            }
            this._bodyContent = formData;
        }
        else {
            // The body is the plain content
            this._bodyContent = value;
        }
    }
    formDataValue(value) {
        if (value === null || value === undefined) {
            return null;
        }
        if (value instanceof Blob) {
            return value;
        }
        if (typeof value === 'object') {
            return new Blob([JSON.stringify(value)], { type: 'application/json' });
        }
        return String(value);
    }
    /**
     * Builds the request with the current set parameters
     */
    build(options) {
        options = options || {};
        // Path parameters
        let path = this.operationPath;
        for (const pathParam of this._path.values()) {
            path = pathParam.append(path);
        }
        const url = this.rootUrl + path;
        // Query parameters
        let httpParams = new HttpParams({
            encoder: ParameterCodecInstance,
        });
        for (const queryParam of this._query.values()) {
            httpParams = queryParam.append(httpParams);
        }
        // Header parameters
        let httpHeaders = new HttpHeaders();
        if (options.accept) {
            httpHeaders = httpHeaders.append('Accept', options.accept);
        }
        for (const headerParam of this._header.values()) {
            httpHeaders = headerParam.append(httpHeaders);
        }
        // Request content headers
        if (this._bodyContentType && !(this._bodyContent instanceof FormData)) {
            httpHeaders = httpHeaders.set('Content-Type', this._bodyContentType);
        }
        // Perform the request
        return new HttpRequest(this.method.toUpperCase(), url, this._bodyContent, {
            params: httpParams,
            headers: httpHeaders,
            responseType: options.responseType,
            reportProgress: options.reportProgress,
            context: options.context,
        });
    }
}

/* tslint:disable */
/* eslint-disable */
function getRenderData(http, rootUrl, params, context) {
    const rb = new RequestBuilder(rootUrl, getRenderData.PATH, 'post');
    if (params) {
        rb.body(params.body, 'application/json');
    }
    return http
        .request(rb.build({ responseType: 'json', accept: 'application/json', context }))
        .pipe(filter((r) => r instanceof HttpResponse), map((r) => {
        return r;
    }));
}
getRenderData.PATH = '/public/renderdata';

class RenderControllerService extends BaseService {
    constructor(config, http) {
        super(config, http);
    }
    /** Path part for operation `getRenderData()` */
    static { this.GetRenderDataPath = '/public/renderdata'; }
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getRenderData()` instead.
     *
     * This method sends `application/json` and handles request body of type `application/json`.
     */
    getRenderData$Response(params, context) {
        return getRenderData(this.http, this.rootUrl, params, context);
    }
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getRenderData$Response()` instead.
     *
     * This method sends `application/json` and handles request body of type `application/json`.
     */
    getRenderData(params, context) {
        return this.getRenderData$Response(params, context).pipe(map((r) => r.body));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: RenderControllerService, deps: [{ token: ApiConfiguration }, { token: i2.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: RenderControllerService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: RenderControllerService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: ApiConfiguration }, { type: i2.HttpClient }] });

/* tslint:disable */
/* eslint-disable */
function getMessage(http, rootUrl, params, context) {
    const rb = new RequestBuilder(rootUrl, getMessage.PATH, 'get');
    if (params) {
    }
    return http
        .request(rb.build({ responseType: 'json', accept: 'application/json', context }))
        .pipe(filter((r) => r instanceof HttpResponse), map((r) => {
        return r;
    }));
}
getMessage.PATH = '/public/test';

class TestControllerService extends BaseService {
    constructor(config, http) {
        super(config, http);
    }
    /** Path part for operation `getMessage()` */
    static { this.GetMessagePath = '/public/test'; }
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getMessage()` instead.
     *
     * This method doesn't expect any request body.
     */
    getMessage$Response(params, context) {
        return getMessage(this.http, this.rootUrl, params, context);
    }
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getMessage$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getMessage(params, context) {
        return this.getMessage$Response(params, context).pipe(map((r) => r.body));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: TestControllerService, deps: [{ token: ApiConfiguration }, { token: i2.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: TestControllerService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: TestControllerService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: ApiConfiguration }, { type: i2.HttpClient }] });

/* tslint:disable */
/* eslint-disable */
function getMetadata(http, rootUrl, params, context) {
    const rb = new RequestBuilder(rootUrl, getMetadata.PATH, 'get');
    if (params) {
    }
    return http
        .request(rb.build({ responseType: 'blob', accept: 'application/xml', context }))
        .pipe(filter((r) => r instanceof HttpResponse), map((r) => {
        return r;
    }));
}
getMetadata.PATH = '/public/metadata';

class MetadataControllerService extends BaseService {
    constructor(config, http) {
        super(config, http);
    }
    /** Path part for operation `getMetadata()` */
    static { this.GetMetadataPath = '/public/metadata'; }
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getMetadata()` instead.
     *
     * This method doesn't expect any request body.
     */
    getMetadata$Response(params, context) {
        return getMetadata(this.http, this.rootUrl, params, context);
    }
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getMetadata$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getMetadata(params, context) {
        return this.getMetadata$Response(params, context).pipe(map((r) => r.body));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: MetadataControllerService, deps: [{ token: ApiConfiguration }, { token: i2.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: MetadataControllerService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: MetadataControllerService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: ApiConfiguration }, { type: i2.HttpClient }] });

/* tslint:disable */
/* eslint-disable */
function getJobInfo(http, rootUrl, params, context) {
    const rb = new RequestBuilder(rootUrl, getJobInfo.PATH, 'get');
    if (params) {
        rb.query('jobId', params.jobId, {});
    }
    return http
        .request(rb.build({ responseType: 'json', accept: 'application/json', context }))
        .pipe(filter((r) => r instanceof HttpResponse), map((r) => {
        return r;
    }));
}
getJobInfo.PATH = '/public/job';

class JobInfoControllerService extends BaseService {
    constructor(config, http) {
        super(config, http);
    }
    /** Path part for operation `getJobInfo()` */
    static { this.GetJobInfoPath = '/public/job'; }
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getJobInfo()` instead.
     *
     * This method doesn't expect any request body.
     */
    getJobInfo$Response(params, context) {
        return getJobInfo(this.http, this.rootUrl, params, context);
    }
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getJobInfo$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getJobInfo(params, context) {
        return this.getJobInfo$Response(params, context).pipe(map((r) => r.body));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: JobInfoControllerService, deps: [{ token: ApiConfiguration }, { token: i2.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: JobInfoControllerService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: JobInfoControllerService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: ApiConfiguration }, { type: i2.HttpClient }] });

/* tslint:disable */
/* eslint-disable */
function getAsset(http, rootUrl, params, context) {
    const rb = new RequestBuilder(rootUrl, getAsset.PATH, 'get');
    if (params) {
        rb.header('Range', params.Range, {});
        rb.query('assetParams', params.assetParams, {});
    }
    return http
        .request(rb.build({
        responseType: 'blob',
        accept: 'application/octet-stream',
        context,
    }))
        .pipe(filter((r) => r instanceof HttpResponse), map((r) => {
        return r;
    }));
}
getAsset.PATH = '/public/asset';

/* tslint:disable */
/* eslint-disable */
function getStaticAsset(http, rootUrl, params, context) {
    const rb = new RequestBuilder(rootUrl, getStaticAsset.PATH, 'get');
    if (params) {
        rb.header('Range', params.Range, {});
        rb.path('nodeId', params.nodeId, {});
    }
    return http
        .request(rb.build({ responseType: 'blob', accept: '*/*', context }))
        .pipe(filter((r) => r instanceof HttpResponse), map((r) => {
        return r;
    }));
}
getStaticAsset.PATH = '/public/asset/static/{nodeId}/**';

class AssetControllerService extends BaseService {
    constructor(config, http) {
        super(config, http);
    }
    /** Path part for operation `getAsset()` */
    static { this.GetAssetPath = '/public/asset'; }
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getAsset()` instead.
     *
     * This method doesn't expect any request body.
     */
    getAsset$Response(params, context) {
        return getAsset(this.http, this.rootUrl, params, context);
    }
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getAsset$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getAsset(params, context) {
        return this.getAsset$Response(params, context).pipe(map((r) => r.body));
    }
    /** Path part for operation `getStaticAsset()` */
    static { this.GetStaticAssetPath = '/public/asset/static/{nodeId}/**'; }
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getStaticAsset()` instead.
     *
     * This method doesn't expect any request body.
     */
    getStaticAsset$Response(params, context) {
        return getStaticAsset(this.http, this.rootUrl, params, context);
    }
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getStaticAsset$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getStaticAsset(params, context) {
        return this.getStaticAsset$Response(params, context).pipe(map((r) => r.body));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: AssetControllerService, deps: [{ token: ApiConfiguration }, { token: i2.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: AssetControllerService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: AssetControllerService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: ApiConfiguration }, { type: i2.HttpClient }] });

/* tslint:disable */
/* eslint-disable */
/**
 * Module that provides all services and configuration.
 */
class ApiModule {
    static forRoot(params) {
        return {
            ngModule: ApiModule,
            providers: [
                {
                    provide: ApiConfiguration,
                    useValue: params,
                },
            ],
        };
    }
    constructor(parentModule, http) {
        if (parentModule) {
            throw new Error('ApiModule is already loaded. Import in your base AppModule only.');
        }
        if (!http) {
            throw new Error('You need to import the HttpClientModule in your AppModule! \n' +
                'See also https://github.com/angular/angular/issues/20575');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: ApiModule, deps: [{ token: ApiModule, optional: true, skipSelf: true }, { token: i2.HttpClient, optional: true }], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.6", ngImport: i0, type: ApiModule }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: ApiModule, providers: [
            RenderControllerService,
            TestControllerService,
            MetadataControllerService,
            JobInfoControllerService,
            AssetControllerService,
            ApiConfiguration,
        ] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: ApiModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [],
                    exports: [],
                    declarations: [],
                    providers: [
                        RenderControllerService,
                        TestControllerService,
                        MetadataControllerService,
                        JobInfoControllerService,
                        AssetControllerService,
                        ApiConfiguration,
                    ],
                }]
        }], ctorParameters: () => [{ type: ApiModule, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }, { type: i2.HttpClient, decorators: [{
                    type: Optional
                }] }] });

class RenderingServiceApiModule {
    static forRoot(params) {
        return {
            ngModule: RenderingServiceApiModule,
            providers: [
                getConfigProvider(params),
            ],
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: RenderingServiceApiModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.6", ngImport: i0, type: RenderingServiceApiModule, imports: [ApiModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: RenderingServiceApiModule, imports: [ApiModule.forRoot({})] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.6", ngImport: i0, type: RenderingServiceApiModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [
                        ApiModule.forRoot({})
                    ],
                    exports: [],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { AssetControllerService, JobInfoControllerService, RENDERING_SERVICE_API_CONFIG, RenderControllerService, RenderingServiceApiModule, getAsset };
//# sourceMappingURL=ngx-rendering-service-api.mjs.map
