import { HttpClient, HttpContext } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BaseService } from '../base-service';
import { ApiConfiguration } from '../api-configuration';
import { StrictHttpResponse } from '../strict-http-response';
import { GetAsset$Params } from '../fn/asset-controller/get-asset';
import { GetStaticAsset$Params } from '../fn/asset-controller/get-static-asset';
import * as i0 from "@angular/core";
export declare class AssetControllerService extends BaseService {
    constructor(config: ApiConfiguration, http: HttpClient);
    /** Path part for operation `getAsset()` */
    static readonly GetAssetPath = "/public/asset";
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getAsset()` instead.
     *
     * This method doesn't expect any request body.
     */
    getAsset$Response(params: GetAsset$Params, context?: HttpContext): Observable<StrictHttpResponse<Blob>>;
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getAsset$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getAsset(params: GetAsset$Params, context?: HttpContext): Observable<Blob>;
    /** Path part for operation `getStaticAsset()` */
    static readonly GetStaticAssetPath = "/public/asset/static/{nodeId}/**";
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getStaticAsset()` instead.
     *
     * This method doesn't expect any request body.
     */
    getStaticAsset$Response(params: GetStaticAsset$Params, context?: HttpContext): Observable<StrictHttpResponse<Blob>>;
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getStaticAsset$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getStaticAsset(params: GetStaticAsset$Params, context?: HttpContext): Observable<Blob>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssetControllerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AssetControllerService>;
}
