import { HttpClient, HttpContext } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BaseService } from '../base-service';
import { ApiConfiguration } from '../api-configuration';
import { StrictHttpResponse } from '../strict-http-response';
import { GetJobInfo$Params } from '../fn/job-info-controller/get-job-info';
import { JobInfoReply } from '../models/job-info-reply';
import * as i0 from "@angular/core";
export declare class JobInfoControllerService extends BaseService {
    constructor(config: ApiConfiguration, http: HttpClient);
    /** Path part for operation `getJobInfo()` */
    static readonly GetJobInfoPath = "/public/job";
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getJobInfo()` instead.
     *
     * This method doesn't expect any request body.
     */
    getJobInfo$Response(params: GetJobInfo$Params, context?: HttpContext): Observable<StrictHttpResponse<JobInfoReply>>;
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getJobInfo$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getJobInfo(params: GetJobInfo$Params, context?: HttpContext): Observable<JobInfoReply>;
    static ɵfac: i0.ɵɵFactoryDeclaration<JobInfoControllerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<JobInfoControllerService>;
}
