import { HttpClient, HttpContext } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BaseService } from '../base-service';
import { ApiConfiguration } from '../api-configuration';
import { StrictHttpResponse } from '../strict-http-response';
import { GetMetadata$Params } from '../fn/metadata-controller/get-metadata';
import * as i0 from "@angular/core";
export declare class MetadataControllerService extends BaseService {
    constructor(config: ApiConfiguration, http: HttpClient);
    /** Path part for operation `getMetadata()` */
    static readonly GetMetadataPath = "/public/metadata";
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getMetadata()` instead.
     *
     * This method doesn't expect any request body.
     */
    getMetadata$Response(params?: GetMetadata$Params, context?: HttpContext): Observable<StrictHttpResponse<string>>;
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getMetadata$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getMetadata(params?: GetMetadata$Params, context?: HttpContext): Observable<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MetadataControllerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MetadataControllerService>;
}
