import { HttpClient, HttpContext } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BaseService } from '../base-service';
import { ApiConfiguration } from '../api-configuration';
import { StrictHttpResponse } from '../strict-http-response';
import { GetRenderData$Params } from '../fn/render-controller/get-render-data';
import { RenderDataResponse } from '../models/render-data-response';
import * as i0 from "@angular/core";
export declare class RenderControllerService extends BaseService {
    constructor(config: ApiConfiguration, http: HttpClient);
    /** Path part for operation `getRenderData()` */
    static readonly GetRenderDataPath = "/public/renderdata";
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getRenderData()` instead.
     *
     * This method sends `application/json` and handles request body of type `application/json`.
     */
    getRenderData$Response(params: GetRenderData$Params, context?: HttpContext): Observable<StrictHttpResponse<RenderDataResponse>>;
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getRenderData$Response()` instead.
     *
     * This method sends `application/json` and handles request body of type `application/json`.
     */
    getRenderData(params: GetRenderData$Params, context?: HttpContext): Observable<RenderDataResponse>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RenderControllerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RenderControllerService>;
}
