import { HttpClient, HttpContext } from '@angular/common/http';
import { Observable } from 'rxjs';
import { BaseService } from '../base-service';
import { ApiConfiguration } from '../api-configuration';
import { StrictHttpResponse } from '../strict-http-response';
import { GetMessage$Params } from '../fn/test-controller/get-message';
import { TestResponse } from '../models/test-response';
import * as i0 from "@angular/core";
export declare class TestControllerService extends BaseService {
    constructor(config: ApiConfiguration, http: HttpClient);
    /** Path part for operation `getMessage()` */
    static readonly GetMessagePath = "/public/test";
    /**
     * This method provides access to the full `HttpResponse`, allowing access to response headers.
     * To access only the response body, use `getMessage()` instead.
     *
     * This method doesn't expect any request body.
     */
    getMessage$Response(params?: GetMessage$Params, context?: HttpContext): Observable<StrictHttpResponse<TestResponse>>;
    /**
     * This method provides access only to the response body.
     * To access the full response (for headers, for example), `getMessage$Response()` instead.
     *
     * This method doesn't expect any request body.
     */
    getMessage(params?: GetMessage$Params, context?: HttpContext): Observable<TestResponse>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TestControllerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TestControllerService>;
}
